Subject: Proxy loop detection (was: Re: (radius) RADIUS proxy)

From: "Dmitry Goncharenko(at Crimea)" <[email-masked]>
Date: Tue, 16 Mar 1999 05:05:36 -0800

>an attribute.  Either way, since there may always be older servers in
>a stream, you cannot absolutely count on Proxy-State for loop detection.

May be in this case another technique could be used, like it's done in IP.
Instead of trying to detect loops some Hop-Counter attribute (or field) can
be used. First proxy in the chain sets this attribute to a maximum value of
hops. Every forwarding proxy decrements the value and when it reaches 0 the
request must be rejected.
I'm not sure whether anything like this was discussed before in the list so
I'm sorry if it was already decided as a bad idea.

Dmitry.

-
To unsubscribe, email [email-masked]' with
'unsubscribe ietf-radius' in the body of the message.